//----------------------------------------------------------------------------
//  Project hypoplastic model
//  
//  Copyright  1996. All Rights Reserved.
//
//  SUBSYSTEM:    hypo Application
//  FILE:         QHypoApp.h
//  AUTHOR:       
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for ThypoApp (TApplication).
//
//----------------------------------------------------------------------------
#if !defined(H_HYPO_APPICATION_H)              // Sentry, use file only if it's not already included.
#define H_HYPO_APPICATION_H

#include "OWL_doanh.h"
#pragma hdrstop

#include <owl/controlb.h>
#include <owl/docking.h>
#include <owl/printer.h>
#include <owl/rcntfile.h>

#include <classlib/bags.h>


  // Definition of all resources.
#if !defined(HYPOPLASTIC_RC)
	#include "hypoapp.rc"
#endif

class TMyToolbar;


//{{TApplication = QHypoApp}}
class QHypoApp : public TApplication, public TRecentFiles {
  private:
    void SetupSpeedBar(TDecoratedMDIFrame* frame);
    void AddFiles(TFileDropletList& files);
    void ProcessCmdLine(char * CmdLine);
    void RegisterInfo();
    void UnRegisterInfo();

  public:
    QHypoApp();
    virtual ~QHypoApp();

    void CreateGadgets(TDockableControlBar* cb, bool server = false);
    THarbor*        ApxHarbor;
    TMyToolbar			*fToolbar;

    // Public data members used by the print menu commands and Paint routine in MDIChild.
    //
    TPrinter*       Printer;                           // Printer support.
    int             Printing;                          // Printing in progress.


//{{QHypoAppVIRTUAL_BEGIN}}
  public:
    virtual void InitMainWindow();
    virtual void InitInstance();
//{{QHypoAppVIRTUAL_END}}

//{{QHypoAppRSP_TBL_BEGIN}}
  protected:
    void EvNewView(TView& view);
    void EvCloseView(TView& view);
    void CmHelpAbout();
    void EvDropFiles(TDropInfo drop);
    void EvWinIniChange(char far* section);
    void EvOwlDocument(TDocument& doc);
    int32 CmFileSelected(uint wp, int32 lp);

    void CmViewToolbar();
    void CeViewToolbar(TCommandEnabler &tce);

//{{QHypoAppRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(QHypoApp);
};    //{{QHypoApp}}


#endif  //  sentry.

/********************* EOF ************************************************/

