//----------------------------------------------------------------------------
//  Project hypoplastic model
//  
//  Copyright  1997. All Rights Reserved.
//
//  SUBSYSTEM:    hypo.app Application
//  FILE:         QInputGraphAxis.h
//  AUTHOR:
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for QInputGraphDlg.
//
//----------------------------------------------------------------------------
#if !defined(HQ_INPUT_GRAPH_AXIS_H)              // Sentry, use file only if it's not already included.
#define HQ_INPUT_GRAPH_AXIS_H

#include "OWL_doanh.h"
#pragma hdrstop

#include "hypoapp.rc"            // Definition of all resources.



class TEdit;
class TComboBox;
class TCheckBox;
class QHypoplasticDoc;
class QViewGraph;

//{{TDialog = QInputGraphDlg}}
class _USERCLASS QInputGraphDlg : public TDialog {
  public:
    QInputGraphDlg(TWindow* parent, QHypoplasticDoc *doc, QViewGraph *graph,
    	TResId resId = IDD_INPUT_GRAPH_AXIS_DLG, TModule* module = 0);
    virtual ~QInputGraphDlg();

//{{QInputGraphDlgVIRTUAL_BEGIN}}
  public:
    virtual void SetupWindow();
    virtual void CloseWindow(int retVal = 0);
    virtual TResult EvCommand(uint id, THandle hWndCtl, uint notifyCode);
//{{QInputGraphDlgVIRTUAL_END}}

			// Message Handlers
    void  HHandleCheckBoxAutoScaleMsg();

//{{QInputGraphDlgRSP_TBL_BEGIN}}
  protected:

//{{QInputGraphDlgRSP_TBL_END}}
  private:
   QHypoplasticDoc *fDoc;
   QViewGraph			 *fGraph;

   TEdit				*Edit_Ymin;
   TEdit				*Edit_Ymax;
   TEdit				*Edit_Xmin;
   TEdit				*Edit_Xmax;

   TCheckBox		*Checkbox_AutoScale;

DECLARE_RESPONSE_TABLE(QInputGraphDlg);
};    //{{QInputGraphDlg}}


#endif  // HQ_INPUT_PARAMETER_H sentry.

/********************* EOF ************************************************/
