//----------------------------------------------------------------------------
//  Project hypoplastic model
//  
//  Copyright  1997. All Rights Reserved.
//
//  SUBSYSTEM:    hypo.app Application
//  FILE:         QInputParam.h
//  AUTHOR:
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for QInputParamDlg.
//
//----------------------------------------------------------------------------
#if !defined(HQ_INPUT_PARAMETER_H)              // Sentry, use file only if it's not already included.
#define HQ_INPUT_PARAMETER_H

#include "OWL_doanh.h"
#pragma hdrstop

#include "hypoapp.rc"            // Definition of all resources.



class TEdit;
class TComboBox;
class QHypoplasticDoc;

//{{TDialog = QInputParamDlg}}
class _USERCLASS QInputParamDlg : public TDialog {
  public:
    QInputParamDlg(TWindow* parent, QHypoplasticDoc *doc,
    	TResId resId = IDD_INPUT_PARAMETERS_DLG, TModule* module = 0);
    virtual ~QInputParamDlg();

//{{QInputParamDlgVIRTUAL_BEGIN}}
  public:
    virtual void SetupWindow();
    virtual void CloseWindow(int retVal = 0);
    virtual TResult EvCommand(uint id, THandle hWndCtl, uint notifyCode);
//{{QInputParamDlgVIRTUAL_END}}

//{{QInputParamDlgRSP_TBL_BEGIN}}
  protected:

//{{QInputParamDlgRSP_TBL_END}}
  private:
   QHypoplasticDoc *fDoc;
   TEdit				*Edit_phy;
   TEdit				*Edit_hs;
   TEdit				*Edit_n;
   TEdit				*Edit_alpha;
   TEdit				*Edit_beta;
   TEdit				*Edit_ei0;
   TEdit				*Edit_ec0;
   TEdit				*Edit_ed0;
                                                               
   TEdit				*Edit_sigma1;
   TEdit				*Edit_sigma3;
   TEdit				*Edit_eps1;
   TEdit				*Edit_eps3;
   TEdit				*Edit_e;

   TEdit				*Edit_maxsigma;
   TEdit				*Edit_timeStep;
   TEdit				*Edit_maxeps;
   TEdit				*Edit_dSigmaAngle;

   TComboBox		*ComboBox_TestType;
   TComboBox		*ComboBox_TestDirection;

   void  HHandleTestTypeMsg();

DECLARE_RESPONSE_TABLE(QInputParamDlg);
};    //{{QInputParamDlg}}


#endif  // HQ_INPUT_PARAMETER_H sentry.

/********************* EOF ************************************************/

