/*  Project xodf
    ENSMSE (Labo diffraction X, Mr Fillit)
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    xodf.apx Application
    FILE:         tdrngvld.cpp
    AUTHOR:       O. JAUTZY, bc++ 5.0 par Doanh


    OVERVIEW
    ========
    Source file for implementation of TDoRangeValidator (TFilterValidator).      
*/
#pragma hdrignore SECTION
#include "OWL_doanh.h"
#pragma hdrstop

//#include <owl\owlpch.h>
//#pragma hdrstop
#include<stdio.h>

#if !defined(__tdrngvld_h)
	#include "tdrngvld.h"
#endif

#define BUFFER_MAXCHAR 256

#if !defined(section) || SECTION==1
//{{TDoRangeValidator Implementation}}


TDoRangeValidator::TDoRangeValidator (double min, double max):
	 TFilterValidator("0-9+eE.-")
{
	Min=min;
	Max=max;
}


void TDoRangeValidator::Error (TWindow* owner)
{
char buffer[BUFFER_MAXCHAR];

	TApplication* app=GetApplicationObject();
	sprintf(buffer,"The range of this value: %g and %g",Min,Max);
   /*string msgTmpl = app->LoadString(IDS_VALNOTINRANGE_DBL);
  	TAPointer<char> msg = new char[msgTmpl.length() + 10 + 10 + 1];
  	sprintf(msg, msgTmpl.c_str(), Min, Max); */
   owner->MessageBox(buffer, app->GetName(), MB_ICONEXCLAMATION|MB_OK);
	/*TWindow* w=GetWindowPtr(app->GetMainWindow()->GetLastActivePopup());
	if(w)
		w->MessageBox(buffer,app->GetName(),MB_ICONEXCLAMATION|MB_OK);
	else
		::MessageBox(0,buffer,app->GetName(),MB_ICONEXCLAMATION|MB_OK|MB_TASKMODAL); */
}


bool TDoRangeValidator::IsValid (const char far* str)
{

	if (TFilterValidator::IsValid(str))
	{
		double value=atof(str);
		if (value>=Min && value <=Max)
			return true;
	}
	return FALSE;
}


uint TDoRangeValidator::Transfer (char far* str, void* buffer, TTransferDirection direction)
{
	if (Options & voTransfer) {
		if (direction == tdGetData) {
			*(double*)buffer=atof(str);
		}
		else if (direction==tdSetData) {
			sprintf(str,"%f",*(double*)buffer);
		}
		return sizeof(double);
	}
	else
		return 0;
}

#endif
#if !defined(SECTION)||SECTION==2

IMPLEMENT_STREAMABLE1(TDoRangeValidator,TFilterValidator);

#if !defined(BI_NO_OBJ_STREAMING)

void*
TDoRangeValidator::Streamer::Read(ipstream& is,uint32 /*version*/) const
{
	ReadBaseObject((TFilterValidator*)GetObject(),is);
	is >> GetObject()->Min >> GetObject()->Max;
	return GetObject();
}

void
TDoRangeValidator::Streamer::Write(opstream& os) const
{
	WriteBaseObject((TFilterValidator*)GetObject(),os);
	os << GetObject()->Min << GetObject()->Max;

}

#endif  // if !defined(BI_NO_OBJ_STREAMING)

#endif
