//----------------------------------------------------------------------------
//  Project hypoplastic model
//  
//  Copyright  1997. All Rights Reserved.
//
//  SUBSYSTEM:    hypo.app Application
//  FILE:         qviewliste.h
//  AUTHOR:
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for QViewList and ...
//
//----------------------------------------------------------------------------
#if !defined(HQVIEWLIST_H)              // Sentry, use file only if it's not already included.
#define HQVIEWLIST_H

#include "OWL_doanh.h"
#pragma hdrstop

#if !defined(OWL_LISTBOX_H)
	#include <owl/listbox.h>
#endif
#if !defined(HWOLFFER_HYPO_DOC_H)
	#include "wolfferdoc.h"
#endif

class _USERCLASS QViewList : public TListBox, public TView {
public:
	QViewList(QHypoplasticDoc& doc, TWindow* parent = 0);
	virtual ~QViewList(){}
	static const char far* StaticName(){return "Results";}

		// virtual methods of TView
	const char far* GetViewName(){	return StaticName();}
	TWindow* GetWindow(){	return (TWindow*)this;}
	bool SetDocTitle(const char far* docname, int index){return TListBox::SetDocTitle(docname, index);}

		// virtual methods of TWindow
	bool CanClose(){	return TListBox::CanClose() && Doc->CanClose();}
	bool Create();

protected:
	// Message response functions
	// Document notifications
	bool VnIsWindow(HWND hWnd)
	{
		return HWindow == hWnd;
	}
	bool VnCommit(bool force);
	bool VnRevert(bool clear);
	bool VnChangtparam();

	void HShowExperimentalData();
	void HRemoveExperimentalData();
	QHypoplasticDoc& fHypoDoc;
	void HGetResults();
	virtual void HDisplayResults(HHypoResults& fHypoResults, int i, int indexFirst);

	DECLARE_RESPONSE_TABLE(QViewList);
};



class _USERCLASS QViewList_q_eps : public QViewList {
public:
	QViewList_q_eps(QHypoplasticDoc& doc, TWindow* parent = 0):
		QViewList(doc,parent){};
	static const char far* StaticName(){return "Results q/eps";}
protected:
	void HDisplayResults(HHypoResults& fHypoResults,int i,int indexFirst);
};

class _USERCLASS QViewList_u_eps : public QViewList {
public:
	QViewList_u_eps(QHypoplasticDoc& doc, TWindow* parent = 0):
		QViewList(doc,parent){};
	static const char far* StaticName(){return "Results U/eps";}
protected:
	void HDisplayResults(HHypoResults& fHypoResults,int i,int indexFirst);
};

class _USERCLASS QViewList_epsv_eps : public QViewList {
public:
	QViewList_epsv_eps(QHypoplasticDoc& doc, TWindow* parent = 0):
		QViewList(doc,parent){};
	static const char far* StaticName(){return "Results epsv/eps";}
protected:
	void HDisplayResults(HHypoResults& fHypoResults,int i,int indexFirst);
};

class _USERCLASS QViewList_q_p : public QViewList {
public:
	QViewList_q_p(QHypoplasticDoc& doc, TWindow* parent = 0):
		QViewList(doc,parent){};
	static const char far* StaticName(){return "Results q/p";}
protected:
	void HDisplayResults(HHypoResults& fHypoResults,int i,int indexFirst);
};

#endif  //  sentry.
/********************* EOF ************************************************/
